<script lang="ts">
    import type Building from '$models/Building'
    import type District from '$models/District'
    import Button from '../Footer/Button.svelte'

    export let district: District
    export let building: Building

    const upgrade = async () => {
        building = await district.upBuilding(building)
    }
</script>

<Button variant="upgrade" on:click={upgrade}>
    {#if building.level}
        Améliorer
    {:else}
        Construire
    {/if}
</Button>
